#include <odemx/odemx.h>

#include <vector>
#include <iostream>

#include "SimpleProcess.h"

using namespace std;

int SimpleProcess::main () {
	cout << getSimulation().getTime () << endl;

	holdFor (1);
	cout << getSimulation().getTime () << endl;
	return 0;
}

int main () {
	odemx::base::Simulation& sim = odemx::getDefaultSimulation();

	SimpleProcess sp (sim);
	sp.activate ();

	sim.run ();
	return 0;
}
